## OobsShareSMB

OobsShareSMB — Object that represents SMB configuration.

## Functions

const gchar * | oobs_share_smb_get_name ()
void | oobs_share_smb_set_name ()
const gchar * | oobs_share_smb_get_comment ()
void | oobs_share_smb_set_comment ()
OobsShareSMBFlags | oobs_share_smb_get_flags ()
void | oobs_share_smb_set_flags ()
OobsShare * | oobs_share_smb_new ()

## Properties

char * | comment | Read / Write / Construct
OobsShareSMBFlags | flags | Read / Write / Construct
char * | name | Read / Write / Construct

## Object Hierarchy

        GFlags
        ╰── OobsShareSMBFlags
        GObject
        ╰── OobsShare
            ╰── OobsShareSMB

## Description

## Functions

### oobs_share_smb_get_name ()

    const gchar *
    oobs_share_smb_get_name (OobsShareSMB *share);

Returns the share name.

#### Parameters

share | An OobsShareSMB. |

#### Returns

A pointer to the share name as a string. This string must not be freed, modified or stored.

### oobs_share_smb_set_name ()

    void
    oobs_share_smb_set_name (OobsShareSMB *share,
                             const gchar *name);

Sets a new name for the share, overwriting the previous one.

#### Parameters

share | An OobsShareSMB. |
name | new name for the share. |

### oobs_share_smb_get_comment ()

    const gchar *
    oobs_share_smb_get_comment (OobsShareSMB *share);

Returns the comment for the share.

#### Parameters

share | An OobsShareSMB. |

#### Returns

A pointer to the share comment as a string. This string must not be freed, modified or stored.

### oobs_share_smb_set_comment ()

    void
    oobs_share_smb_set_comment (OobsShareSMB *share,
                                const gchar *comment);

Sets a new comment for the share, overwriting the previous one.

#### Parameters

share | An OobsShareSMB. |
comment | new comment for the share. |

### oobs_share_smb_get_flags ()

    OobsShareSMBFlags
    oobs_share_smb_get_flags (OobsShareSMB *share);

Returns the options mask of the share.

#### Parameters

share | An OobsShareSMB. |

#### Returns

OobsShareSMBFlags mask representing the share options.

### oobs_share_smb_set_flags ()

    void
    oobs_share_smb_set_flags (OobsShareSMB *share,
                              OobsShareSMBFlags flags);

Sets a new set of options for the share.

#### Parameters

share | An OobsShareSMB. |
flags | mask of options for the share. |

### oobs_share_smb_new ()

    OobsShare *
    oobs_share_smb_new (const gchar *path,
                        const gchar *name,
                        const gchar *comment,
                        OobsShareSMBFlags flags);

Creates a new OobsShareSMB with the given settings.

#### Parameters

path | folder path for the new share. |
name | name for the new share. |
comment | comment for the new share. |
flags | options mask for the new share. |

#### Returns

a newly allocated OobsShareSMB.

## Property Details

### The `“comment”` property

      “comment”                  char *

Comment for the share.

Owner: OobsShareSMB

Flags: Read / Write / Construct

Default value: NULL

### The `“flags”` property

      “flags”                    OobsShareSMBFlags

Property flags for the share.

Owner: OobsShareSMB

Flags: Read / Write / Construct

### The `“name”` property

      “name”                     char *

Owner: OobsShareSMB

Flags: Read / Write / Construct

Default value: NULL

## See Also

OobsShare, OobsSMBConfig